function parsave(sFilename,varargin)

%PARSAVE  Save variable within a parfor loop
%   RESAMPLE(FILENAME,VAR1,VAR2,...) save variable VAR1, VAR2, ... in a
%   .mat-file under FILENAME

% Start with 2nd input argument, first is filename
for IDXinarg = 2 : nargin
    % Determine original name of the variable in the upper workspace and 
    % buld struct that contains all variables, each in a separate field
    % named after the variable
    eval(['struct2save.' inputname(IDXinarg) ' = varargin{' num2str(IDXinarg-1) '};'])
end

% This command save each field of the struct as a separate variable in a 
% .mat-file 
save(sFilename, '-struct','struct2save');

% 28. July 2014
% hendrik.kayser@uni-oldenburg.de

